Page MenuHomePhabricator

Convert CentralAuth to use extension registration
Closed, ResolvedPublic

Description

The CentralAuth extension needs to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:29 PM

Change 208519 had a related patch set uploaded (by Paladox):
Move global functions into static class in separate file and add extension.json

https://gerrit.wikimedia.org/r/208519

Paladox added a subscriber: Paladox.May 3 2015, 1:54 PM
Liuxinyu970226 set Security to None.
Anomie closed this task as Resolved.May 16 2016, 7:37 PM
Anomie claimed this task.
Anomie added a subscriber: Anomie.

Change 208519 abandoned by Anomie:
Add extension.json, empty PHP entry point

Reason:
Done by I26f9aebfe instead.

https://gerrit.wikimedia.org/r/208519